import { z } from 'zod';

export const questdbConfigSchema = z.object({
  enabled: z.boolean().optional().default(true),
  host: z.string().default('localhost'),
  httpPort: z.number().optional().default(9000),
  pgPort: z.number().optional().default(8812),
  influxPort: z.number().optional().default(9009),
  database: z.string().optional().default('questdb'),
});

export type QuestDBConfig = z.infer<typeof questdbConfigSchema>;
